<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Scanning|Discovery Scan Tasks">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to define custom Nmap arguments for a Discovery Scan." /><title>Defining Nmap Arguments</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#07-scanning/defining-nmap-arguments.html">Open topic with navigation</a>
        </p>
        <h2>Defining Nmap Arguments</h2>
        <p>The discovery scan runs with the following <a name="kanchor77"></a>Nmap options turned on:<code class="usertype"> -sS -T5 -PP -PE -PM -PI -PA</code>. If you want to overwrite the default options or add scan options, you can define a list of <a name="kanchor78"></a>Nmap command line options. The options that you define take precedence over any internal, default setting. Typically, you add Nmap options to perform custom scanning techniques and modify scan speeds. For example, if you want to perform a ping scan, you may want to specify <code>-sn</code> so that the scan does not run a port scan. </p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The discovery scan supports most Nmap options except for -o, -i, -resume, -datadir, and -stylesheet.</p>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Overview </b>tab. </li>
            <li value="2">When the Overview page appears, click the <b class="UISelection">Scan</b> button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-scan-button.png" title="Scan button" alt="Scan button" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">When the New Discovery Scan window displays, enter the target addresses that you want to include in the scan in the <b class="UISelection">Target addresses</b> field. You can enter a single IP address, an address range, or a CIDR notation. If there are multiple addresses or address ranges, use a newline to separate each entry.</li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-set-target-addresses.png" title="Target addresses" alt="Target addresses" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">Click the <b class="UISelection">Show Advanced Options</b> button. </li>
            <li value="5">Under the Advanced Target Settings, find the <b class="UISelection">Custom Nmap arguments</b> field. </li>
            <li value="6">In the <b class="UISelection">Custom Nmap arguments</b> field, enter the Nmap arguments you want to use. </li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-custom-nmap-arguments.png" title="Custom Nmap arguments" alt="Custom Nmap arguments" />
        </p>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Any command line arguments that you specify takes precedence over the default configuration that <span class="VariablesProductName">Metasploit Pro</span> uses for the discovery scan. </p>
        <ol data-mc-continue="true">
            <li value="7">Optionally, you can define any advanced options that are available.  For example, you can specify the IP addresses that you want to include and exclude from the scan, as well as the target ports, services, scan speed, and scan mode for the discovery scan.</li>
            <li value="8">When you are ready to run the scan, click the<b class="UISelection"> Launch Scan</b> button. </li>
        </ol>
        <p>&#160;</p>
    </body>
</html>